- Handle "ain't got no cpufreq" more gracefully (Malone bug # 99198)
- Fix typo in mountconfig that lead to a crash (Malone bug # 87861)
- BUG: Fix detection of the nvidia proprietary driver (Malone bug #104860)
- BUG: Displayconfig and displayconfig-restore.py would crash in combination
  with later versions Xorg if the xrandr extension was not available.
  (Malone bug #91545)

* Wednesday 29 March 2007 Simon Edwards <simon@simonzone.com>
- version 0.8
- Deal with AttributeError in displayconfigabstraction (Malone bug #94108)
- Add menu to choose CPU frequency policy manually
- Handle problems not being able to read the filesystem label gracefully
- Make displayconfig-restore not crash on incorrect modelines (Malone bug # 76393)
- Make displayconfig a little smarter when the preferred resolution can't be found
- Make wineconfig not crash on empty fstab lines 
- Fix the fuser frontend in mountconfig to actually work again.
- Handle ZeroDivisionError in displayconfig gracefully (Malone bug #77844)
- Support for LABEL in fstab added to mountconfig, improved support for
  UUID.
- Support for changing CPU frequency policy with HAL added to powermanager.
- Suspend after N minutes idle added to powermanager
- Added an option to not lock screen on resume (Malone bug # 64650)
- Handle crash in userconfig due to problems with locale (Malone bug #65739)
- Support for UUIDs in fstab added to mountconfig.
- grubconfig added. (Martin Böhm)

* Tuesday 6 March 2007 Simon Edwards <simon@simonzone.com>
- version 0.7.1
- BUG: Fixed typo in userconfig.py. (thanks to Rocco Stanzione)
- BUG: Fix double hibernate call on lid close. (Malone bug #65885)
- BUG: Change CHARGE_LEVEL_THRESHOLD to 10% (was 50%) to better workaround
  acpi issue.  when remaining_time is not reported correctly. Also use
  threshold for battery low notification warning. (Malone bug #64752,
  #67081)
- BUG: Handle error in locale.getpreferredencoding gracefully. (Malone bug
  #65739)
- BUG: DPMS settings had not been saved on Apply, do that.
- BUG: Fix crash where cpu frequency scaling is not readable.
- BUG: Fix unicode and localisation handling in targetgamma, do a better job
  choosing the right resolutions for example for nvidia twinview and other
  unusual resolutions.
- BUG: Powermanager, first read config, then adapt the state of the UI from
  those values.
- BUG: Don't crash displayconfig-restore when screenwidth and height are
  bogus, use a sensible value of 96 instead. (Malone bug #77844)
- BUG: Make displayconfig-restore not crash on unknown modelines.
- BUG: Make tempfile handling more robust by using Python's tempfile.
- BUG: Check for None groupids in userconfig.
- BUG: Clear password edit after exiting the edit dialog in userconfig.
- BUG: Make AC adapter detection more robust to potential failure of
  actions. (Malone bug #77091)
- BUG: permissions on groupfile should've been read, before they can be set.
- BUG: Check for valid groupid when selecting in userconfig.
- BUG: gamma settings were not being restored after logging in.
- BUG: A rounding error was causing problems in displayconfig when filtering
  resolutions by the selected monitor.
- BUG: Displayconfig, userconfig and wineconfig didn't handle RTL desktops
  correctly. (Diego lastrubni)
- BUG: Displayconfig would sometimes consider some widescreen modes as being
  standand aspect ratio.
- BUG: Displayconfig would sometimes fail to set Display virtual size in
  xorg.conf.
- BUG: Stopped displayconfig from stacktracing when it encounters a
  degenerate gfx card + monitor combination that has no valid resolutions.

* Thursday 12 October 2006 Simon Edwards <simon@simonzone.com>
- version 0.7
- BUG: Don't bail out of laptop-detect is not there (Malone bug #60309)
- BUG: mountconfig.py didn't handle USB disks correctly. (KDE bug #132390)
- BUG: Disable double click opening items in mountconfig if the user is not
  root.
- BUG: Don't bail out if the device section is already there (Malone bug #50411)
- BUG: Don't show new_user in the secondary groups (Malone bug #44203)
- BUG: userconfig set wrong uid for new users (Malone bug #56275)
- BUG: serviceconfig.py would sometimes fail on non-English systems.
  (Malone bug #43313).
- BUG: userconfig would sometimes fail when writing the shadow password file.
  (Malone bug #47090)
- BUG: userconfig would fail if the password warning field in /etc/shadow was
  empty. (Malone bug #47317)
- Changed a couple of labels in order to match the new system-settings spec:
  https://wiki.kubuntu.org/KubuntuSystemSettingsUsability
- mountconfig now uses CIFS for Windows Shares instead of obsolete smbfs.
  (Martin Böhm)
- Displayconfig now hides useless Monitor Orientation and Second Screen group
  box options which can never be activated without changing hardware or the
  X driver.
- Simplified the color and gamma tab in displayconfig.
- BUG: Better detection for dualhead intel chips in displayconfig.
- Updated the data files for displayconfig from
  http://cvs.mandriva.com/cgi-bin/viewvc.cgi/soft/ldetect-lst/trunk/lst/?root=svn
- wineconfig added for configuring Wine. (Yuriy Kozlov)
- powermanager applet added for monitoring laptop power levels (Sebastian
  Kügler)

* Saturday 13 May 2006 Simon Edwards <simon@simonzone.com>
- version 0.6.7
- Dutch translation added (Rinse de Vries)
- BUG: Displayconfig would fail if the monitor frequency settings in xorg.conf
  contained extra spaces. (Malong bug #38692)
- BUG: Displayconfig would not add the lowest screen resolution available to
  the modes list in the xorg.conf's Screen section/Display subsection.
- French translation added from Launchpad Rossetta.

* Friday 28 April 2006 Simon Edwards <simon@simonzone.com>
- version 0.6.6
- BUG: Serviceconfig didn't correctly remove links in runlevel directories.
  (Malone bug #39404)
- BUG: In Serviceconfig, toggling the "Start during boot" checkbox using the
  context menu would fail. (Malone bug #34252)
- BUG: displayconfig-restore.py was would fail with "global name 'syslog'
  undefined". (Malone bug #40683)
- BUG: Displayconfig had trouble picking a driver gfxcard model entry instead
  of the detected default (e.g. VESA). (Malone bug #41127)
- BUG: Displayconfig would fail when writing out a xorg.conf that contained
  non-ascii characters. (Malone bug #41474)
- Work around for an annoying bug in PyQt/PyKDE that causes the tools to
  crash on exit if a dialog window has been used.
- BUG: The file paths used in displayconfig for checking for the proprietary
  nvidia driver were wrong or out of date.

* Tuesday 18 April 2006 Simon Edwards <simon@simonzone.com>
- version 0.6.5
- BUG: services that have not been installed via apt would cause long loops
  a lot of dpkg queries. Only query dpkg db once.
- BUG: Serviceconfig's Apply button doesn't work. It should actually be Close
  (Malone #38582)
- BUG: Changing an user's password can change another password for a different
  user (Malone bug #39444)
- BUG: Displayconfig would fail at startup on systems with an nVidia 7800 GTX.
  (Malone bug #32915 for Rob Hughes)
- BUG: Serviceconfig would crash if the windows is closed quickly after
  serviceconfig appears.
- BUG: userconfig would fail at startup if an entry in /etc/passwd refered to
  a group that is not defined in /etc/group. (Malone bug #34311)
- BUG: Userconifg. Manually typing in or editing the list of secondary groups
  for a user had no effect. (Malone bug #37212)
- BUG: Displayconfig fails to detect the presence of the proprietary ATI and
  nVidia drivers. (The location of some of the driver files had been recently
  changed).
- BUG: displayconfig-restore.py would calculated the needed DPI at login using
  stale screen information which would sometimes result in the wrong DPI.
- BUG: Numerious small bugs and compatibility problems in mountconfig.
- BUG: When browsing for a SMB share, mountconfig now correctly catches the
  authentication information entered by the user into the smaller popup from
  kio.
- Displayconfig now assumes that dualhead/clone mode is supported if the
  laptop-detect script detects a laptop.
- Displayconfig now uses the clone mode support in the i810 driver.
- Displayconfig now only offers resolutions that both monitors support when
  using clone mode.
- Displayconfig now supports clone mode on any setup that also supports
  xinerama.
- BUG: Mountconfig failed to take into account that the order of the
  user/users, exec/noexc, suid/nosuid etc options in /etc/fstab is significant.
  (thanks Christoph Wiesen)
- French translations added to the desktop files. (Anthony Mercatante)

* Sunday 2 April 2006 Simon Edwards <simon@simonzone.com>
- version 0.6.4
- BUG: All of the tools no longer write out config files under ~/.kde when
  running as root. This should stop the annoying creation of config files
  that can't be overwritten by the normal user.
- Userconfig is now by default not quite as tall. This should help stop
  it from appearing too big in systemsettings.
- Displayconfig updated to also recognise late model nVidia chipsets.
- BUG: Displayconfig didn't support Clone mode for the proprietary nVidia
  driver.
- BUG: The tools now correctly specify which translation catalogue to use for
  translations.
- The screen images in the dualhead widget make better use of available widget
  space.
- Displayconfig: The 40guidance-displayconfig_restore script which is used by
  the Xsession script during login via TDM/xdm, has now been fixed to not stop
  the login in case of failure.
- BUG: Displayconfig was getting confused by unknown graphics cards and
  crashing. (Malone bug #32915)
- BUG: Displayconfig still can't handling unicode in xorg.conf. (Malone bug
  #34437).
- BUG: Displayconfig is now more forgiving when xorg.conf contains characters
  that are illegal with respect to the system character encoding. (Malone bug
  #36590).
- BUG: Displayconfig would have trouble detecting hardware on the PCI bus on
  big endian architectures. (raphink)
- BUG: Displayconfig did not correctly handle situations where the X RandR
  extension is missing.
- BUG: Displayconfig would fail when loading some xorg.conf files containing
  multiple graphics card specifications. (Malone bug #37275, patch applied)
- BUG: Userconfig didn't respect the entered UID when creating a account.
  (Malone bug #37722).
- Displayconfig: Added 1280x960 modes (60 & 75Hz).
  
* Friday 17 March 2006 Simon Edwards <simon@simonzone.com>
- version 0.6.3
- BUG: userconfig and unixauthdb didn't respect the ownership of system files
  when update /etc/passwd and friends. (Malone bug #26175).
- BUG: userconfig and unixauthdb would fail if /etc/passwd, /etc/groups or
  /etc/shadow contained blank lines.
- BUG: displayconfig now does a better job of detecting graphics PCI devices
  and handling non-detected graphics cards. Instead of crashing, "generic
  VESA" is used when the type of card can't be found. (Malone bug #32915)
- The DPI that displayconfig-restore.py uses at login time can now be
  controlled by adding a line to ~/.kde/share/config/displayconfigrc
  in the [General] section. Add "dpi=xserver" to use the default DPI
  from the X server, or "dpi=100" to use 100 DPI for example.
- BUG: Widescreen modes were missing in displayconfig.
- Displayconfig: Monitors can now be specified as being standard aspect ratio
  or widescreen.
- BUG: Using the xresprobe command in displayconfig would crash some people's
  machines. The much more safer ddcprobe command is now used.
  (Malone bug #33943)
- BUG: A bug is displayconfig stopped monitor model detection. The xresprobe
  command didn't actually return the eisa ID of the connected monitor.
  ddcprobe does though (see above).
- BUG: Displayconfig. Changes to the monitor model or image format are
  shown immediately on the "Size & Orientation" tab, even if the screen is
  currently being used.
- BUG: When userconfig asks about whether the home directory should be created
  when creating a new account, sometimes the wrong directory name was shown in
  the dialog.
- BUG: Powerbook screen mode "1280x854" add to displayconfig. (Malone bug
  #34383).
- BUG: Displayconfig would throw an exception if the current display didn't
  support DPMS. (Malone bug #34316).
- BUG: Most utilities would fail if they came across UTF-8 or unicode
  characters. (Malone bug #34194).
- BUG: Displayconfig wouldn't correctly detect the presence of installed
  proprietary drivers. (OculusAquilae)
- BUG: Displayconfig had trouble handling BusID rows in xorg.conf. This would
  cause the xorg.conf to be incorrectly read. (Tonio)
- Added some extra methods to ScanPCI.py to aid debugging.
- BUG: Displayconfig would not save the user's display settings when running
  in kcontrol or systemsettings. (Malone bug #35257)

* Wednesday 1 March 2006 Simon Edwards <simon@simonzone.com>
- version 0.6.2
- BUG: Small bug in displayconfig that caused it to bug out around the 
  newCustomMonitor() method.
- BUG: userconfig had space character just before the she-bang which really
  caused some trouble the for the shell.
- BUG: Displayconfig: Selecting the "Plug n Play" monitor directly without
  clicking on "Detect" meant that only a very small set of resolutions would
  be written to xorg.conf.
- BUG: The DPI calculations in displayconfig-restore.py where broken. This
  resulted in the wrong DPI being used.
- BUG: Displayconfig: The clone mode option is now correctly disabled for
  Matrox cards (mga driver).
- BUG: Displayconfig would bug out if the monitor model in the xorg.conf was
  anything other than Plug n Play.
- BUG: Displayconfig would bug out if the DPMS Standby setting was 0 and DPMS
  enabled.
- Displayconfig is now shown in kcontrol under settings/hardware instead of
  settings/system.
- BUG: Small bug in displayconfig that will causes displayconfig to bug out
  when trying to detect the monitor and no EDID info is available.
- BUG: Small cosmetic bug in displayconfig where the some tabs were missing
  margins when shown in kcontrol/system settings.
- BUG: displayconfig would bug out when detecting ATI dualhead cards.
  (pci_device.text was None).

* Monday 20 February 2006 Simon Edwards <simon@simonzone.com>
- version 0.6.1
- displayconfig-hwprobe.py now saves its scan info in 
  /var/lib/guidance/guidance-gfxhardware-snapshot.
- "Details..." button added to mountconfig in addition to the context menu for
   opening the disk info dialog.
- BUG: serviceconfig: When starting and stopping daemons, the scripts expect a
  terminal that understands colours. The command runner dialog doesn't, and
  you end up seeing garbage characters. TERM is now set to vt100 when running
  commands.
- BUG: displayconfig: Reset button didn't reset all of the parts/fields in the
  GUI.
- Detect dualhead Matrox cards.
- displayconfig-restore.py now at login time also chooses and sets a 'sane'
  DPI setting used by applications for fonts. More info is in the 
  displayconfig-restore.py source file.
- BUG: displayconfig-restore.py wasn't restoring the user's display resolution
  at login.
- Plug N Play monitors are handled much better and are automatically probed
  when neccessary.
  
* Tuesday 14 February 2006 Simon Edwards <simon@simonzone.com>
- version 0.6.0
- Right mousebutton action for most listviews.
- mountconfig can now handle multi-fs entries.
- i18n() all over the place.
- Dualhead support added to displayconfig.
- displayconfig's hardware database files updated from Mandriva.
- numerous bug fixes.
- displayconfig-hwprobe.py add. This is Ubuntu specific right now, but
  what it does is detect hardware changes at boottime and automatically
  run "dpkg-reconfigure" to generate a xorg.conf file that will get Xorg
  running.

* Tuesday 29 November 2005 Simon Edwards <simon@simonzone.com>
- version 0.5.0
- displayconfig should now work for single head configurations.
- displayconfig has a shiney new preview.
- displayconfig is now usable on low resolution screens.
- DPMS tab cleaned up in displayconfig.
- displayconfig's hardware database files updated from Mandriva.

* Monday 12 September 2005 Simon Edwards <simon@simonzone.com>
- version 0.4.0
- displayconfig has been massively restructured internally.
- numerous bug fixes.
- start of dualhead support in displayconfig.
- When umount fails in mountconfig the option to killing blocking processes
  has been added.
- better Debian support in serviceconfig. It now uses apt and dpkg to get
  service descriptions.
- ext3 added to mountconfig. :)
- userconfig now respects /etc/useradd.conf
- Now uses PyKDE Extensions for building and installation.
  http://www.simonzone.com/software/pytdeextensions/
- DPMS tab added to displayconfig.

* Tuesday 5 April 2005 Simon Edwards <simon@simonzone.com>
- version 0.3.0
- Displayconfig working and also feature complete.
- xf86config C module has been removed and replaced with pure Python.
- Numerous little bugs fixed in the userconfig, mountconfig and serviceconfig.

* Thursday 9 December 2004 Simon Edwards <simon@simonzone.com>
- version 0.2.0
- mountconfig added, beta quality, feature complete.
- displayconfig added, alpha quality, not feature complete.
- userconfig, beta quality, feature complete.
- serviceconfig, beta quality, feature complete.

* Thursday 20 November 2003 Simon Edwards <simon@simonzone.com>

- version 0.1.0
- Initial release.
